javax.swing.text

## Class DefaultStyledDocument.AttributeUndoableEdit

- java.lang.Object
- - javax.swing.undo.AbstractUndoableEdit
  - - javax.swing.text.DefaultStyledDocument.AttributeUndoableEdit

All Implemented Interfaces:
  Serializable, UndoableEdit

Enclosing class:
  DefaultStyledDocument

    public static class DefaultStyledDocument.AttributeUndoableEdit
    extends AbstractUndoableEdit

An UndoableEdit used to remember AttributeSet changes to an Element.

### Field Summary

Fields
`protected AttributeSet` `copy`
`protected Element` `element`
`protected boolean` `isReplacing`
`protected AttributeSet` `newAttributes`

### Fields inherited from class javax.swing.undo.AbstractUndoableEdit

`RedoName, UndoName`

### Constructor Summary

Constructors
Constructor and Description
`DefaultStyledDocument.AttributeUndoableEdit(Element element, AttributeSet newAttributes, boolean isReplacing)`

### Method Summary

Methods
`void` `redo()` Redoes a change.
`void` `undo()` Undoes a change.

### Methods inherited from class javax.swing.undo.AbstractUndoableEdit

`addEdit, canRedo, canUndo, die, getPresentationName, getRedoPresentationName, getUndoPresentationName, isSignificant, replaceEdit, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### newAttributes

    protected AttributeSet newAttributes

#### copy

    protected AttributeSet copy

#### isReplacing

    protected boolean isReplacing

#### element

    protected Element element

### Constructor Detail

#### DefaultStyledDocument.AttributeUndoableEdit

    public DefaultStyledDocument.AttributeUndoableEdit(Element element,
                                               AttributeSet newAttributes,
                                               boolean isReplacing)

### Method Detail

#### redo

    public void redo()
              throws CannotRedoException

Redoes a change.

Specified by:
  `redo` in interface `UndoableEdit`
Overrides:
  `redo` in class `AbstractUndoableEdit`
Throws:
  `CannotRedoException` - if the change cannot be redone
See Also:
  `AbstractUndoableEdit.canRedo()`

#### undo

    public void undo()
              throws CannotUndoException

Undoes a change.

Specified by:
  `undo` in interface `UndoableEdit`
Overrides:
  `undo` in class `AbstractUndoableEdit`
Throws:
  `CannotUndoException` - if the change cannot be undone
See Also:
  `AbstractUndoableEdit.canUndo()`

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.